Name:          tenacity-portsmf
Version:       239
Release:       1%{?dist}
Summary:       Tenacity fork of the portable standard MIDI library
License:       MIT
URL:           https://codeberg.org/tenacityteam/portsmf
Source0:       https://codeberg.org/tenacityteam/portsmf/archive/portsmf-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++


%description
Fork of the portable standard MIDI library required for building the Tenacity
editor.


%package devel
Summary: portsmf - development environment
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
This package provides the portsmf headers.


%prep
%autosetup -n portsmf


%build
%cmake
%cmake_build


%install
%cmake_install

# Clean up unwanted cmake leftovers
rm -rf %{buildroot}/usr/lib/cmake/PortSMF


%files
%license license.txt
%{_libdir}/libportSMF.so.1
%{_libdir}/libportSMF.so.1.0.236


%files devel
%{_includedir}/portsmf
%{_libdir}/pkgconfig/portSMF.pc
%{_libdir}/libportSMF.so


%changelog
* Tue Sep 19 2023 Brandon Nielsen <nielsenb@jetfuse.net> - 239-1
- Change to Codeberg release
- Move unversioned shared library to devel package

* Sat Oct 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 0-1.20211009git239
- Initial specfile
